﻿@using SSCMvc.Webutil;
@using SSCMvc.Models;
@model IEnumerable<SSCMvc.Models.Mockfollowup_view>
@{
    ViewBag.Title = "Index";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
@section scripts{

    <script src="~/Content/datatable/jquery.dataTables.min.js"></script>
    <link href="~/Content/datatable/jquery.dataTables.css" rel="stylesheet" />

    <script type="text/javascript">
        $(document).ready(function () {
            var lastIdx = null;
            var table = $('#example').DataTable({
                "pageLength": 100
            });

            $('#example tbody')
                .on('mouseover', 'td', function () {
                    var colIdx = table.cell(this).index().column;

                    if (colIdx !== lastIdx) {
                        $(table.cells().nodes()).removeClass('highlight');
                        $(table.column(colIdx).nodes()).addClass('highlight');
                    }
                })
                .on('mouseleave', function () {
                    $(table.cells().nodes()).removeClass('highlight');
                });
        });
    </script>



    <style type="text/css">
        div.box div.overlay { display: none; }

        span:hover { color: orangered !important; font-weight: 700; }

        span { color: #369ECE !important; }

    </style>

    <script type="text/javascript">
        $(function () {
            $(".box").hover(function () {
                $(this).find(".overlay").fadeIn();
            }
                            , function () {
                                $(this).find(".overlay").fadeOut();
                            }
                           );
        });


    </script>

    <script src="~/Scripts/HighestQuali.js"></script>


    <script type="text/javascript">
        $(document).ready(function () {
            $("#dateofwnquiry").datepicker();
            $("#tdate").datepicker();
            //            $("button").hide();
            $("#UserList").css('width', '150px');
            $("#UserList").val($("#usrhidden").val());
        });

    </script>

    <script type="text/javascript">

        function Submit() {
            searchfun();
        }

        function searchfun() {
            var name = $("#txtname").val();
            var mobile = $("#txtmobile").val();
            var date = $("#dateofwnquiry").val();
            var todate = $("#tdate").val();
            var referenceno = $("#txtreferenceno").val();

            var usr = $("#UserList").val();

            window.location.href = "/MaEnqFollow/PendingMockFollowUp?name=" + name + "&&mobile=" + mobile + "&&dt1=" + date + "&&dt2=" + todate + "&&uid=" + usr + "&referenceno=" + referenceno;
            $("#UserList").val(usr);
        }

        function GetReport(vel) {
            //            var rollno = $("#txtroll").val();
            //var sttype = $("#txtstudenttype").val();
            var name = $("#txtname").val();
            var mobile = $("#txtmobile").val();
            var date = $("#dateofwnquiry").val();
            var todate = $("#tdate").val();
            var referenceno = $("#txtreferenceno").val();
            var rangeon = $("#rangeon").val();
            var usr = $("#UserList").val();

            window.location.href = "/MaEnqFollow/PendingMockFollowUp?name=" + name + "&mobile=" + mobile + "&&dt1=" + date + "&dt2=" + todate + "&uid=" + usr + "&referenceno=" + referenceno + "&Print=" + vel+"&rangeon="+rangeon;
        }

        $(document).ready(function () {

            $(":text").keypress(function (event) {
                //filter enter key only
                if (event.keyCode == 13) {
                    searchfun();
                }
                return true;
            });


        });
    </script>
    <script type="text/javascript">
        $("#pagng").css('width', '80px');
        $("#txtpageno").css('width', '100px');
        $(function () {
            $(".table").tablesorter({ widthFixed: true })
               .tablesorterPager({ container: $("#pager"), size: $(".pagesize option:selected").val() });
        });
    </script>
}
@{
    SSCMvc.Models.SSCWebDBEntities1 db = new SSCMvc.Models.SSCWebDBEntities1();
}
<div class="header">
    <div class="stats">
    </div>
    <h1 class="page-title">
        Pending List of Mock Test Follow Up
    </h1>
</div>
<ul class="breadcrumb">
    @{string utype = Request.Cookies[CommonUtil.CookieUsertype].Value;
            string refadd = CommonUtil.HomeAddress(utype);
    }
    <li><a href="@refadd">Home</a> <span class="divider">/</span></li>
    <li class="active">Dashboard</li>
</ul>
<div style="margin-top: 40px" align="center">

    <table style="width: 850px; text-align: center">
        <tr>
            <td style="vertical-align: middle">
                <b>REFERENCE NO.</b>
            </td>
            <td style="vertical-align: middle">
                <b>Name</b>
            </td>
            <td style="vertical-align: middle">
                <b>Mobile</b>
            </td>
            <td>
            <b>Range On</b>
            <td style="width: 120px">
                <b>From Date</b>
            </td>
            <td width="40px;"></td>
            <td style="width: 120px">
                <b>To Date</b>
            </td>
            <td width="40px;"></td>
            <td style="width: 120px">
                <b>Handled By</b>
            </td>
            <td align="left"></td>
        </tr>
        <tr>
            <td>
                <input type="text" style="width: 120px" id="txtreferenceno" value="@ViewBag.referenceno" />
            </td>
            <td>
                <input type="text" style="width: 120px" id="txtname" value="@ViewBag.name" />
            </td>
            <td>
                <input type="text" style="width: 120px" id="txtmobile" value="@ViewBag.mobile" />
            </td>
            <td>
                <select id="rangeon">
                    <option value="fupdt">Follow Up</option>
                    <option value="cdt">Create</option>
                </select>
            </td>
            <td>
                <input id="dateofwnquiry" type="date" style="width: 120px" value="@ViewBag.dt1" />
            </td>
            <td></td>
            <td>
                <input id="tdate" type="date" style="width: 120px" value="@ViewBag.dt2" />
            </td>
            <td></td>
            <td>
                @Html.DropDownList("UserList", "All")
                <input type="hidden" id="usrhidden" value="@ViewBag.usr" />
            </td>
            <td style="vertical-align: top">
                <table>
                    <tr>
                        <td style="vertical-align: top">
                            <input type="button" value="Search" id="Searchbtn" class="btn btn-primary" onclick="Submit()" />
                        </td>
                    </tr>
                </table>
            </td>
            <td align="left" valign="top">
                <div class="dropdown">
                    <button class="btn btn-primary dropdown-toggle" type="button" data-toggle="dropdown" style="width:114px">
                        Get Report
                        <span class="caret"></span>
                    </button>
                    <ul class="dropdown-menu">
                        <li><a href="#" onclick="GetReport('PDF')">PDF</a></li>
                        <li><a href="#" onclick="GetReport('Excel')">Excel</a></li>
                    </ul>
                </div>

            </td>
        </tr>
    </table>
</div>
<div class="container-fluid">
   
    <div class="row-fluid">
        <div class="btn-toolbar">
            <div class="btn-group">
            </div>
        </div>
        <p class="datail_style">
            <table width="100%" align="center">
                <tr>
                    <td align="left" width="50%">
                        @*  @Html.ActionLink("Create New", "Create")*@
                    </td>
                    <td align="right" width="50%">
                        Total: @ViewBag.TotalCount
                    </td>
                </tr>
            </table>
        </p>
        <div class="well" style="width:98%;overflow-x:scroll">
            <table class="table table-striped" id="example">
                <thead>
                    <tr>
                        <th>
                            Roll No.
                        </th>
                        <th>
                            Name
                        </th>
                        <th>
                            Mobile
                        </th>
                        <th>
                            IELTS
                        </th>

                        <th>
                            Mock Test Date
                        </th>

                        <th width="50px">
                            Overall Score
                        </th>
                        <th>
                            Next Follow Up
                        </th>
                        <th>
                            Course<br />
                            Timing
                        </th>
                        <th>
                            Remarks
                        </th>
                        <th>
                            Left
                        </th>
                        <th>
                            Followuped By
                        </th>
                        <th>
                            Status
                        </th>
                        <th>
                            IELTS <br />
                            Test Date
                        </th>

                        <th>
                        </th>
                    </tr>
                </thead>
                <tbody>
                    @{
                        var myitem = Model.OrderBy(z => z.nxdt);
                    }
                    @foreach (var item in myitem)
                    {
                        <tr>
                            <td>
                                @Html.ActionLink(item.RollNo.ToString(), "AllTestofStudent", "Tb_MockTest", new { id = item.AdmId }, new { @class = "myeditAcBtn" })
                            </td>
                            <td>
                                <span class="myover" onmouseover="showdetail(@item.EnquiryId)" onmouseout="hidedetail();">  @Html.DisplayFor(modelItem => item.FirstName)</span>
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.Mobile)
                            </td>
                            <td>
                                @item.Category
                            </td>
                            <td>
                                @{string walkdate = string.Format("{0:dd MMM,yyyy}", item.TestDate);}
                                @walkdate
                            </td>
                            <td>
                                <a href="#" onclick="showmarks(@item.AdmId);">@item.Overall</a>
                            </td>

                            <td>
                                @{string nextdate = string.Format("{0:dd MMM,yyyy}", item.nxdt);}
                                @nextdate
                            </td>
                            <td>
                                @item.TimeId

                            </td>
                            <td width="100px" style="overflow: hidden">

                                @{
                                    string rem = item.Afremarks;

                                    if (rem != null)
                                    {
                                        if (rem.Length > 20)
                                        {
                                            string sustrg = rem.Substring(0, 20);
                                            @sustrg
                                            <br />
                                                <div class="box">
                                                    <a id="remarks">Read-More...</a>
                                                    <div class="overlay">
                                                        @rem
                                                    </div>
                                                </div>
                                        }
                                        else
                                        {
                                            @rem
                                        }
                                    }
                                }

                            </td>
                            <td>
                                @{
                                    string left = item.IsLeft.Value == true ? "Left" : "";
                                }
                                @left
                            </td>
                            <td>
                                @item.Fullname
                            </td>
                            <td>
                                @item.EnqStatus
                            </td>
                            <td>
                                @{
                                    var ieltsdate = string.Format("{0:MMM-dd-yyyy}", item.IeltsDate);

                                }
                                @ieltsdate
                            </td>

                            <td>
                                <a href="/Tb_Mocktest/Edit/@item.MockID" data-toggle="tooltip" title="Edit MockTest" target="_blank"><img src="../../Content/themes/base/images/edit.png" /></a>
                                @Html.ImageActionLink("../../Content/themes/base/images/Detail.png", "Detail", "Details", "Tb_MockTest", new { id = item.MockID }, null, null)

                                <a href="/MaEnquiry/Details/@item.EnquiryId" data-toggle="tooltip" title="Go to Enquiry" target="_blank"><img src="../../Content/themes/base/images/enquiry.png" /></a>

                                @{
                                    int userid = Convert.ToInt32(Request.Cookies[CommonUtil.CookieUserid].Value);
                                    int countt = db.Tb_MockTest.Where(m => m.Id == item.MockID).Where(m => m.FollowAsgnTo == userid).Count();
                                    double ovrallscore = Convert.ToDouble(item.Overall);


                                    if (ovrallscore >= 5.5)
                                    {
                                        @Html.ImageActionLink("../../Content/themes/base/images/sicon3.png", "Mock Test Followup", "_MockCreate", "MaEnqFollow", new { id = item.MockID, reftype = "MockTest", name = item.FirstName, rollno = item.RollNo }, new { @class = "editAcBtn" }, null)

                                    }
                                }
                            </td>
                        </tr>

                                    }
                </tbody>
            </table>
        </div>
     
    </div>
</div>

<div class="modal fade" id="markspopup" tabindex="-1" style="width:900px" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                Marks
            </div>
            <div class="modal-body" id="mbody">

            </div>
            <div class="modal-footer">


                <input type="hidden" id="sid" name="sid" />
                <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>

            </div>

        </div>
        <!-- /.modal-content -->
    </div>
    <!-- /.modal-dialog -->
</div>

<script>

    function showmarks(stuid) {

        $.ajax({
            url: '/Tb_mocktest/AllTestofStudent/',
            type: 'POST',
            data: {id:stuid},
            dataType: "html",
            success: function (grid) {
                $("#mbody").html(grid);
                $("#markspopup").modal('show');
            }
        });
    }

</script>